Skip to main content
GET
/
api
/
v1
/
apps
/
{app_id}
/
workspace
Get App Workspace
curl --request GET \
  --url https://backend.revyl.ai/api/v1/apps/{app_id}/workspace \
  --header 'Authorization: Bearer <token>'
{
  "app": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "platform": "<string>",
    "static_url": "<string>",
    "current_version": "<string>",
    "description": "<string>",
    "system_prompt": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "latest_version": "<string>",
    "versions_count": 0,
    "latest_build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "current_build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "attached_tests": 0,
    "pinned_tests": 0,
    "recent_executions": 0,
    "rolling_pass_rate": 123,
    "attribution_ready": false
  },
  "current_build_id": "<string>",
  "current_build_version": "<string>",
  "latest_build_id": "<string>",
  "latest_build_version": "<string>",
  "attached_tests": 0,
  "pinned_tests": 0,
  "recent_executions": 0,
  "rolling_pass_rate": 123,
  "attribution_ready": false,
  "execution_trend": [
    {
      "date": "<string>",
      "executions": 0,
      "passed": 0,
      "failed": 0
    }
  ],
  "build_health": [
    {
      "build_id": "<string>",
      "version": "<string>",
      "uploaded_at": "2023-11-07T05:31:56Z",
      "observed_tests": 0,
      "passed_tests": 0,
      "failed_tests": 0,
      "coverage_rate": 123,
      "exact_runs": 0,
      "completed_runs": 0,
      "passed_runs": 0,
      "failed_runs": 0,
      "pass_rate": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_id
string<uuid>
required

Query Parameters

trend_days
integer
default:14

Trend window in days

Required range: 7 <= x <= 60

Response

Successful Response

app
AppResponse · object
required

Response model for an app.

current_build_id
string | null
current_build_version
string | null
latest_build_id
string | null
latest_build_version
string | null
attached_tests
integer
default:0
pinned_tests
integer
default:0
recent_executions
integer
default:0
rolling_pass_rate
number | null
attribution_ready
boolean
default:false
execution_trend
AppExecutionTrendPoint · object[]
build_health
AppBuildHealthItem · object[]